swPressure {oce} | R Documentation

## Water pressure

### Description

Compute seawater pressure from depth by inverting `swDepth` using `uniroot`.

### Usage

    swPressure(depth , latitude=45, eos=getOption("oceEOS", default="gsw"))

### Arguments

`depth` | distance below the surface in metres.
`latitude` | Latitude in degN or radians north of the equator.
`eos` | indication of formulation to be used, either `"unesco"` or `"gsw"`.

### Details

If `eos="unesco"` this is done by numerical inversion of `swDepth` is done using `uniroot`. If `eos="gsw"`, it is done using `gsw_p_from_z` in the gsw package.

### Value

Pressure in dbar.

### Author(s)

Dan Kelley

### References

Unesco 1983. Algorithms for computation of fundamental properties of seawater, 1983. Unesco Tech. Pap. in Mar. Sci., No. 44, 53 pp.

### Examples

    swPressure(9712.653, 30, eos="unesco") # 10000
    swPressure(9712.653, 30, eos="gsw")    #  9998.863

[Package oce version 0.9-18 Index]